%define Name gHTTrack
Name: ghttrack
Version: 0.5.2
Release: alt3
Summary: Frontend for HTTrack Web Copier
License: %gpl2plus
Group: Networking/File transfer
URL: http://home.hccnet.nl/paul.schuurmans/linux
Source0: %url/download/%name-%version.tar
Source1: %name.xpm
Requires: httrack >= 3.40
Packager: Led <led@altlinux.ru>

BuildRequires(pre): rpm-build-licenses
BuildRequires: ImageMagick gcc-c++ libgtk+2-devel

%description
%Name is only a frontend for 'HTTrack Web Copier' and therefore won't
work unless you have httrack installed on your system.


%prep
%setup


%build
%autoreconf
%configure
%make_build
convert -depth 8 %SOURCE1 %name-48.png
for s in 32 24 16; do
    convert -resize ${s}x$s -depth 8 %SOURCE1 %name-$s.png
done


%install
%make_install DESTDIR=%buildroot install
for s in 48 32 24 16; do
    install -D -m 0644 {%name-$s,%buildroot%_iconsdir/hicolor/${s}x$s/apps/%name}.png
done
install -d -m 0755 %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Version=1.0
Type=Application
Categories=GTK;Network;FileTransfer;
Name=%Name
Comment=Copy websites to your computer
Comment[ru]= -   
Comment[uk]= -   '
Exec=%name
Icon=%name
Terminal=false
__MENU__


%files
%doc AUTHORS ChangeLog README
%_bindir/*
%_desktopdir/*
%_iconsdir/hicolor/*/apps/*


%changelog
* Sun Dec 28 2008 Led <led@altlinux.ru> 0.5.2-alt3
- cleaned up spec
- added ru and uk translation to %name.desktop

* Sat Aug 09 2008 Led <led@altlinux.ru> 0.5.2-alt2
- fixed %name.desktop

* Wed Mar 05 2008 Led <led@altlinux.ru> 0.5.2-alt1
- 0.5.2
- fixed License
- fixed %%description
- added icons
- added URL

* Thu Jun 5 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.3-alt1
- 0.3.0

* Wed Apr 02 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2-alt1
- First version of RPM package.
